package com.steerinfo.dil.service;


import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsRailOffsetDayplan服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 04:17
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：AmsRailOffsetDayplan服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsRailOffsetDayplanService extends IBaseService<AmsRailOffsetDayplan, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    Integer selectMaxId();

    List<Map<String, Object>> getRailOffsetDayplan(Map<String, Object> mapValue);
    //新增钢材发往异地库日计划
    int insert(AmsRailOffsetDayplan amsRailOffsetDayplan);

    //修改钢材发往异地库日计划
    int update(AmsRailOffsetDayplan amsRailOffsetDayplan);
}